# Sensor System

This repository contains code used on the ESP32 devices within the forest. 

## Project Structure

The project is structured as follows:
* `client`: Contains library code and source files for ESP32 client devices (i.e. sensors)
  * `lib`: Contains library code for the ESP32 client devices that is shared among all client devices. For a list of libraries, see the `lib` directory.
    * `lib/includes`: Contains header files used by both library and client code.
  * `client_central_mast`: Contains source files for the central mast client device.
  * `client_satellite`: Contains source files for the satellite client device (used by dendrometers).
  * `ESPCamera`: Contains source files for the ESP32 camera client device (camera and SHT85).
* `host/host_central_mast`: Contains source code for the ESP32 host device (LTE capabilities)
* `code_snippets`: Contains code snippets that may be useful for future development. These are **not intended** to be compiled and run as-is.
* `hardware`: Contains hardware design files.