//
// Created by zoe on 1/12/23.
//

#ifndef HOST_CENTRAL_MAST_DEFINITIONS_H
#define HOST_CENTRAL_MAST_DEFINITIONS_H

#include "Arduino.h"
#include "ESP32Time.h"

#define uS_TO_S_FACTOR 1000000ULL // Conversion factor for micro seconds to seconds
#define TIME_TO_SLEEP 5           // Time ESP32 will go to sleep (in seconds)

#define UART_BAUD 115200
#define PIN_DTR 25
#define PIN_TX 27
#define PIN_RX 26
#define PWR_PIN 4

#define SD_MISO 2
#define SD_MOSI 15
#define SD_SCLK 14
#define SD_CS 13
#define LED_PIN 12

// See all AT commands, if wanted
// #define DUMP_AT_COMMANDS

#define TAG_ESPNOW "ESPNOW"
#define TAG_MAIN "MAIN"
#define TAG_SD "SD"
#define TAG_GSM "GSM"
#define TAG_TIMEMANAGER "TIMEMANAGER"
#define TAG_SDUTILITIES "SDUTILITIES"

#define SD_CARD_FAIL_COUNTER 100

constexpr bool PRINT_TO_SERIAL = true;

// global definition of RTC. Initialised in main
extern ESP32Time rtc;

const String INFLUXDB_TOKEN =
    "dUh2gbVLv7e3egqocxriDsJQNUacA9qZ5YXsYtdnVAglnHgy4nx-jDVO7nGlSF34BosfnuwnUDaviC7dQeC5RQ==";

#endif // HOST_CENTRAL_MAST_DEFINITIONS_H
